---@meta

---@class UWBP_CitySelect_C : UB1CitySelectWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_CityTextClose UWidgetAnimation
---@field Anim_DotLoop UWidgetAnimation
---@field Anim_OpenOthers UWidgetAnimation
---@field Anim_Open UWidgetAnimation
---@field B1InvalidationBox_0 UB1InvalidationBox
---@field Image_BG UB1Image
---@field Image_Shadow UB1Image
---@field Image_Shadow_1 UB1Image
---@field WBP_CitySelect_Globe UWBP_CitySelect_Globe_C
---@field WBP_Comon_Title UWBP_Common_Title_C
local UWBP_CitySelect_C = {}

---@param InName FName
function UWBP_CitySelect_C:SetSelectedCity(InName) end
function UWBP_CitySelect_C:Construct() end
function UWBP_CitySelect_C:StopAllTextAnimations() end
---@param EntryPoint int32
function UWBP_CitySelect_C:ExecuteUbergraph_WBP_CitySelect(EntryPoint) end


